Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.test
Class BlockCipherTest

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest
          org.bouncycastle.jce.provider.test.BlockCipherTest

All Implemented Interfaces:
  Test

    public class BlockCipherTest

extends SimpleTest

basic test class for a block cipher, basically this just exercises the provider, and makes sure we are behaving sensibly, correctness of the implementation is shown in the lightweight test classes.

Constructor Summary
`BlockCipherTest()`

Method Summary
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`
`void` `test(java.lang.String algorithm, byte[] input, byte[] output)`

Methods inherited from class org.bouncycastle.util.test.SimpleTest
`areEqual, fail, fail, fail, perform, runTest, runTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockCipherTest

    public BlockCipherTest()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Test`
  Specified by:
    `getName` in class `SimpleTest`

### test

    public void test(java.lang.String algorithm,
                     byte[] input,
                     byte[] output)

### performTest

    public void performTest()

  Specified by:
    `performTest` in class `SimpleTest`

### main

    public static void main(java.lang.String[] args)

Bouncy Castle Cryptography Library 1.45